## hachu 0.21~200141020

=== debian/changelog ===
hachu (0.21~200141020-1) unstable; urgency=medium

  * New upstream snapshot.
  * All patches included upstream, dropped.

 -- Yann Dirson <dirson@debian.org>  Wed, 22 Oct 2014 22:23:24 +0200

hachu (0.20-2) unstable; urgency=medium

  * Upload to unstable, xboard-4.8 being on the tracks for release in time
    for jessie.
  * Override dh_auto_clean to call "dist-clean" target.
  * Use DEP5-standard "public-domain" tag in debian/copyright.
  * Bumped Standards-Version to 3.9.6, no change.
  * Update Vcs URLs.

 -- Yann Dirson <dirson@debian.org>  Mon, 13 Oct 2014 21:34:36 +0200

hachu (0.20-1) experimental; urgency=medium

  * New upstream release.
  * Add a debian/watch to look at the tag list from gitweb.  Does not help
    with downloading anything obviously (and anyway there are no upstream
    tarballs and we're using the git repo directly), but should provide
    info to DEHS.
  * Add Vcs-* fields.

 -- Yann Dirson <dirson@debian.org>  Sun, 15 Jun 2014 20:10:38 +0200

hachu (0.19-1) experimental; urgency=medium

  * New upstream release.

 -- Yann Dirson <dirson@debian.org>  Wed, 30 Apr 2014 20:36:27 +0200

hachu (0.18-1) experimental; urgency=medium

  * New upstream release, including a Makefile.
  * Include a patch to the Makefile for packaging-friendly "install" target.
  * Install xboard confs for Chu and Sho, and theme for Chu; declare that it
    Enhances: xboard (and replace the version that ships an old version of the
    confs).
  * Add menu entries to start Chu and Sho.
  * Declare Recommends: xboard 4.8 as well, as it is still the only
    available way to use the engine.
  * Adjusted extended description.
  * Adjusted instructions for upstream tarball production.
  * Bumped Standards-Version to 3.9.5, no change.

 -- Yann Dirson <dirson@debian.org>  Sat, 01 Mar 2014 01:01:36 +0100

hachu (0.17-3-g3460d0c-1) experimental; urgency=low

  * New upstream snapshot from git, changing protocol as suitable for
    latest xboard-4.8 snapshot.

 -- Yann Dirson <dirson@debian.org>  Sat, 01 Feb 2014 22:24:45 +0100

hachu (0.17-1) experimental; urgency=low

  * New upstream version from git.
    * Document how to get most uptodate source in README.maint.
    * Update build rules.
    * Includes pod manpage, build-depend on perl for pod2man.
  * Added more contents to debian/copyright: Upstream-Contact, Source as
    git url.
  * Add in extended description: note about some games being unfinished,
    and about upcoming xboard-4.8.

 -- Yann Dirson <dirson@debian.org>  Fri, 22 Nov 2013 22:33:11 +0100

hachu (0.16-1) experimental; urgency=low

  * Initial release, from source sent by upstream via email.
  * Set VERSION to just "0.16" as discussed with upstream.
  * Upload to experimental because of an apparent misunderstanding about
    shogi with xboard, works well as Chess engine in xboard at least.

 -- Yann Dirson <dirson@debian.org>  Sat, 28 Sep 2013 18:56:04 +0200

## hachu 0.21-7

=== Makefile ===
srcdir = .

CC?=gcc
CFLAGS?= -O2 -s

prefix=/usr/local
DATADIR=`xboard --show-config Datadir`

ALL= hachu hachu.6.gz

all: ${ALL}

hachu: hachu.c
	$(CC) $(CFLAGS) $(LDFLAGS) hachu.c -o hachu

install: ${ALL} ${srcdir}/svg/*
	install -d -m0755 $(DESTDIR)$(prefix)/games
	cp -u ${srcdir}/hachu $(DESTDIR)$(prefix)/games
	install -d -m0755 $(DESTDIR)$(prefix)/share/man/man6
	cp -u ${srcdir}/hachu.6.gz $(DESTDIR)$(prefix)/share/man/man6
	install -d -m0755 $(DESTDIR)$(DATADIR)/themes/chu
	cp -u ${srcdir}/svg/*.svg $(DESTDIR)$(DATADIR)/themes/chu
	install -d -m0755 $(DESTDIR)$(DATADIR)/themes/conf
	cp -u ${srcdir}/svg/sho ${srcdir}/svg/chu $(DESTDIR)$(DATADIR)/themes/conf
	install -d -m0755 $(DESTDIR)/usr/share/games/plugins/logos
	cp -u ${srcdir}/logo.png $(DESTDIR)/usr/share/games/plugins/logos/hachu.png
	install -d -m0755 $(DESTDIR)/usr/share/games/plugins/xboard
	cp -u ${srcdir}/hachu.eng $(DESTDIR)/usr/share/games/plugins/xboard

hachu.6.gz: hachu.pod
	pod2man -s 6 hachu.pod | gzip -9n > hachu.6.gz

clean:
	rm -f ${ALL} *.o

dist-clean:
	rm -f ${ALL} *~ chu/*~ md5sums

dist:
	install -d -m0755 HaChu
	install -d -m0755 HaChu/svg
	rm -f hachu.tar hachu.tar.gz
	cp hachu.c hachu.pod Makefile hachu.eng logo.png HaChu
	cp chu/* HaChu/svg
	(md5sum HaChu/* HaChu/svg/* > HaChu/md5sums) || true
	tar -cvvf hachu.tar HaChu
	gzip hachu.tar
	rm HaChu/svg/*
	rmdir HaChu/svg
	rm HaChu/*
	rmdir HaChu

uninstall:
	rm -f $(DESTDIR)$(prefix)/share/man/man6/hachu.6.gz
	rm -f $(DESTDIR)$(prefix)/games/hachu
	rm -f $(DESTDIR)/usr/share/games/plugins/logos/hachu.png
	rm -f $(DESTDIR)/usr/share/games/plugins/xboard/hachu.eng

## hachu 0.21-7-g1c1f14a

=== debian/changelog ===
hachu (0.21-7-g1c1f14a-3) unstable; urgency=medium

  * Update Vcs-* for salsa migration.

 -- Yann Dirson <dirson@debian.org>  Sun, 10 Mar 2019 18:50:03 +0100

hachu (0.21-7-g1c1f14a-2) unstable; urgency=medium

  * Fix build failure with gcc-7 (Closes: #853439)
  * Silence warning with missing include
  * Fix build to honor CPPFLAGS

 -- Yann Dirson <dirson@debian.org>  Sun, 06 Aug 2017 18:10:46 +0200

hachu (0.21-7-g1c1f14a-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Yann Dirson <dirson@debian.org>  Tue, 19 May 2015 00:36:41 +0200

=== debian/control ===
Source: hachu
Section: games
Priority: extra
Maintainer: Yann Dirson <dirson@debian.org>
Build-Depends: debhelper (>= 9.0.0), dh-buildinfo, perl
Standards-Version: 3.9.6
Homepage: http://hgm.nubati.net/cgi-bin/gitweb.cgi?p=hachu.git
Vcs-Git: https://salsa.debian.org/debian/hachu.git
Vcs-Browser: https://salsa.debian.org/debian/hachu

Package: hachu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: xboard (>> 4.8~)
Recommends: xboard (>> 4.8~)
Replaces: xboard (= 4.8~git20140119-1)
Description: AI engine for many Shogi and Chess variants, including Chu, Sho, and Dai Shogi
 HaChu is an AI engine for many variants of Shogi (japanese chess), and Chess.
 .
 It currently plays the following games:
  * Sho Shogi, the immediate ancestor of modern Shogi
  * Chu Shogi, the most widely played large-board variant (12x12 board),
    featuring the famous Lion piece
  * Mighty Lion (a simple variant of normal chess to more easily get to know
    the Lion; does not implement castling yet)
  * Dai Shogi, a variant on 15x15 board (no GUI support yet)
  * Tenjiku Shogi, a 16x16 variant with even more exotic pieces (unfinished,
    no GUI support yet)
  * More classical chess variants:
    * Shatranj (does not implement the baring rule yet)
    * Makruk (does not implement counting yet)
    * Standard Chess (without castling)
 .
 Most games (excluding Dai and Tenjiku) can be played through the
 XBoard GUI (version 4.8 and later).

## hachu 0.21-29

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 srcdir = .
 
 CC?=gcc
-CFLAGS?= -O2 -s
+CFLAGS?= -O2 -s -Wall -Wno-parentheses
 
 prefix=/usr/local
 DATADIR=`xboard --show-config Datadir`
@@ -11,7 +11,7 @@
 all: ${ALL}
 
 hachu: hachu.c
-	$(CC) $(CFLAGS) $(LDFLAGS) hachu.c -o hachu
+	$(CC) $(CPPFLAGS) $(CFLAGS) hachu.c $(LDFLAGS) -o hachu
 
 install: ${ALL} ${srcdir}/svg/*
 	install -d -m0755 $(DESTDIR)$(prefix)/games

## hachu 0.21-29-gdf26f4a

=== debian/changelog ===
hachu (0.21-29-gdf26f4a-4) unstable; urgency=medium

  * Team upload (Debian namespace).
  * Remove obsolete dh-buildinfo usage (Closes: #1089899)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 14 Dec 2024 14:52:57 +0100

hachu (0.21-29-gdf26f4a-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Update standards version to 4.4.1, no changes needed.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Yann Dirson ]
  * Update standards version to 4.5.0, no changes needed.
  * Release to unstable.

 -- Yann Dirson <dirson@debian.org>  Fri, 03 Apr 2020 10:50:40 +0200

hachu (0.21-29-gdf26f4a-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0.
  * Change section form extra to optional.

 -- Yann Dirson <dirson@debian.org>  Sat, 14 Sep 2019 16:50:41 +0200

hachu (0.21-29-gdf26f4a-1) unstable; urgency=medium

  * New upstream snapshot.
  * Drop patches integrated upstream.

 -- Yann Dirson <dirson@debian.org>  Fri, 06 Sep 2019 23:40:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: hachu
 Section: games
-Priority: extra
+Priority: optional
 Maintainer: Yann Dirson <dirson@debian.org>
-Build-Depends: debhelper (>= 9.0.0), dh-buildinfo, perl
-Standards-Version: 3.9.6
+Build-Depends: debhelper-compat (= 12), perl
+Standards-Version: 4.5.0
 Homepage: http://hgm.nubati.net/cgi-bin/gitweb.cgi?p=hachu.git
 Vcs-Git: https://salsa.debian.org/debian/hachu.git
 Vcs-Browser: https://salsa.debian.org/debian/hachu

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_make:
	dh_auto_make -- prefix=/usr
override_dh_auto_install:
	dh_auto_install -- prefix=/usr DATADIR=/usr/share/games/xboard

override_dh_auto_clean:
	$(MAKE) dist-clean

=== debian/watch ===
# WARNING: you don't want to --download this, the URL does not point
# to a tarball.  This is only for monitoring of upstream git tags.

version=3
http://hgm.nubati.net/cgi-bin/gitweb.cgi?p=hachu.git;a=tags \
  /cgi-bin/gitweb.cgi\?p=hachu.git;a=shortlog;h=refs/tags/(.+)
